## CoglOnscreenTemplate: Describe a template for onscreen framebuffers CoglOnscreenTemplate: Describe a template for onscreen framebuffers |

## Synopsis

                        CoglOnscreenTemplate;
    CoglBool            cogl_is_onscreen_template           (void *object);

    CoglOnscreenTemplate * cogl_onscreen_template_new       (CoglSwapChain *swap_chain);

## Description

## Details

### CoglOnscreenTemplate

    typedef struct _CoglOnscreenTemplate CoglOnscreenTemplate;

### cogl_is_onscreen_template ()

    CoglBool            cogl_is_onscreen_template           (void *object);

Gets whether the given object references a CoglOnscreenTemplate.

`object` : | A CoglObject pointer
Returns : | `TRUE` if the object references a CoglOnscreenTemplate and `FALSE` otherwise.

Since 1.10

Stability Level: Unstable

### cogl_onscreen_template_new ()

    CoglOnscreenTemplate * cogl_onscreen_template_new       (CoglSwapChain *swap_chain);